Subject: bug#31853: 27.0.50; binding case-fold-search is slow when there are many buffers

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Jun 2018 11:19:53 +0300

> Date: Sat, 23 Jun 2018 09:54:07 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > From: Aaron Jensen <[email-masked]>
> > Date: Fri, 22 Jun 2018 22:23:09 -0700
> > Cc: [email-masked]
> > 
> > > > > On Sat, Jun 16, 2018 at 12:53 AM Eli Zaretskii <[email-masked]> wrote:
> > > > > > In https://debbugs.gnu.org/cgi/bugreport.cgi?bug=18522#201 I proposed
> > > > > > a change to set-default that would use FOR_EACH_LIVE_BUFFER.  Could
> > > > > > you see if that change helps in your case?
> > > >
> > > > With 148 live buffers and 6 hours of uptime, I'm up to about 23
> > > > microseconds. Still a far cry from 1ms. I'll keep testing.
> > >
> > > Thanks.
> > 
> > I haven't noticed any slowdown yet. It seems to be an improvement. If
> > you're good with the patch and could provide me with some text to
> > write in the commit message (I roughly understand what it does, but I
> > don't know anything about the other ramifications) I can send another
> > patch. Otherwise, please feel free to use the patch and commit w/ your
> > own message/name.
> 
> There's no rush.  Let's give this another week, and I will push the
> change if no problems come up by that date.

Pushed to master.

Is there anything else to do in this bug, or should it be closed now?

Thanks.